NEWS


  • Welche Version des Javascript Modul hast du. In der neuen Version 4 gibt es dazu einen Bug:

    https://github.com/ioBroker/ioBroker.ja … issues/253


  • Yep, das ist es dann wohl! Danke für die Antwort!

    Ist nur blöd, weil ich die Skripte dringend brauche!

    Gibt es sonst eine Möglichkeit die Skripte zu übernehmen. Zugriff auf das alte System habe ich noch!


  • Ich hab das mit dem js2fs Adapter gemacht.


  • Das versuche ich auch gerade!

    Gibt es da irgendwas zu beachten? Ich habe vom alten System die Skripte gesynct, aber das neue System nimmt die nicht an.

  • Most Active

    @church:

    Yep, das ist es dann wohl! Danke für die Antwort!

    Ist nur blöd, weil ich die Skripte dringend brauche!

    Gibt es sonst eine Möglichkeit die Skripte zu übernehmen. Zugriff auf das alte System habe ich noch! `

    Also in dem Fall wenn die Skripte so wichig sind, ist die Funktion des ioBrokers wohl allgemein wichtig, oder?

    Dann sollte man den javascript adapter auf der stable version (aktuell 3.6.4) lassen oder wieder downgraden.

    Die latest Version eines Adapters kann immer noch Fehler haben…


  • Ich schalte den js2fs Adapter auch wieder aus, wenn ich ein Backup gemacht habe, weil der Adapter einen lästigen Bug hat, der immer bewirkt, dass Script bei Änderung zweimal gestartet werden. Das ist ziemlich nervig.

    Ich habe auch versucht in einer Testinstallation mit dem javascript 4.05 Adapter ein Backup einzuspielen.

    Das Backup ist mit einer Fehlermeldung abgebrochen.

    Für mich ist js2fs leider die einzige einigermaßen brauchbare Möglichkeit ein Backup zu machen. Mit dem Backitup Adapter oder mit dem iobroker backup auf der Kommandozeile hatte ich wiederholt Probleme beim Einspielen und ein Restore von Teilen eines alten Backup geht auch nicht vernünftig.

    Weil bei js2fs keine State gespeichert werden, lasse ich das Erzeugen der States (createState()) immer in den Skripten. Dann habe ich zwar kein Backup vom aktuellen Stand, aber immerhin bekomme ich die Datenbank wieder initialisiert.

    Das Backup/Restore Thema bei ioBroker ist leider noch etwas unbefriedigend.


  • Na toll, eben ein Image zurück gespielt und den JS Adapter downgegradet, damit ich meine Scripte wieder einspielen kann und was ist, die Scripte sind alle da nur unter der Instanz taucht nur ein einziges vom Telegramm Adapter auf. Kein Plan warum ausgerechnet das und alle andren nicht.

    Somit ist man wohl oder übel an die aktuelle Version des Javascript Adapter gebunden, wenn man damit exportiert hat, dann kann man die mit ihm nicht wieder importieren, allerdings sind diese dann wohl in einer stable Version nicht brauchbar.

    Da sollte dann doch mal der Bug gefixt werden, ist ja nicht so das das der einzige wäre, aber der ist doch etwas nervig, da ich nicht drück kann.


  • Kann meine Skripte ebenfalls nicht importieren. Nichts passiert. Ich teste ein downgrade auf 3.6.4, dabei wird die 4.1.12 als stable angegeben?!

    Nach Import mit 3.6.4 wieder upgedated auf 4.1.12. Scheint auf ersten Blick ok.


  • @maxpd
    HJi Gibt es hier eine Lösung?
    IMport funktioiert nicht, Java to File ist mir "zu Komplex", bzw. es passiert nichts...
    Muss doch möglich sein das von einem Verz. ins Nächste zu kopieren


Suggested Topics

756
Online

38.4k
Users

43.9k
Topics

613.2k
Posts